AladiaDocs
Api referenceOrganizationsGroupsMembers

Update members

Update members

PATCH
/v2/organizations/{organizationId}/groups/{groupId}/members

Update members

AuthorizationBearer <token>

In: header

Path Parameters

groupId*string
organizationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v2/organizations/string/groups/string/members" \  -H "Content-Type: application/json" \  -d '{    "role": "organization-owner",    "secondaryRoles": [      "organization-billing-manager"    ],    "spaces": [      {        "id": "string",        "role": "space-supervisor"      }    ],    "subjectsAreas": [      {        "id": "string",        "role": "area-owner"      }    ],    "courses": [      {        "id": "string",        "role": "course-observer",        "spaceId": "string",        "cycleId": "string"      }    ],    "calendars": [      {        "id": "string",        "role": "calendar-owner"      }    ]  }'
{}